﻿using System;
using System.Text;
using System.Security.Cryptography;

namespace HikCentralOpenAPI.Utils
{
    public static class Encrypt
    {
        private static readonly Encoding encoding = Encoding.UTF8;
        public static string HikCentralSignature(string secret, string message)
        {
            string result = null;
            var secretByte = encoding.GetBytes(secret);
            using (var hmacsha256 = new HMACSHA256(secretByte))
            {
                hmacsha256.ComputeHash(encoding.GetBytes(message));
                result = System.Convert.ToBase64String(hmacsha256.Hash);
                return result;
            }
        }
    }
}




